Skip to content

Markdown Source

Use the raw markdown for copy, automation, and AI agents.

View Markdown

Pack API ​

Get Packs ​

prolog
GET API_BASE/lists/:list_id/packs

Parameters ​

ParameterTypeDescription
list_iduint64The numeric ID of the list.

Response ​

json
{
  "data": [PackObject, ...],
  "ts": 1723923923
}

Create Pack ​

prolog
POST API_BASE/lists/:list_id/packs

Authorization Required ​

OAuthAPIKey
YesYes

Parameters ​

ParameterTypeDescription
list_iduint64The numeric ID of the list.

Request Body ​

json
{
  "title": "Pack Title",
  "description": "...",
  "cover_image_url": "https://...",
  "post_ids": [1, 2, 3]
}

Response ​

json
{
  "data": PackObject,
  "ts": 1723923923
}

Get Pack ​

prolog
GET API_BASE/lists/:list_id/packs/:pack_id

Parameters ​

ParameterTypeDescription
list_iduint64The numeric ID of the list.
pack_idstringPack numeric ID or UUID.

Response ​

json
{
  "data": PackObject,
  "ts": 1723923923
}

Get Pack Posts ​

prolog
GET API_BASE/lists/:list_id/packs/:pack_id/posts?offset=:offset&limit=:limit

Parameters ​

ParameterTypeDescription
list_iduint64The numeric ID of the list.
pack_idstringPack numeric ID or UUID.

Query Parameters ​

ParameterTypeDescription
offsetnumberPagination offset.
limitnumberPagination limit (max 100).

Response ​

json
{
  "data": {
    "pack": PackObject,
    "posts": [PostObject, ...],
    "pagination": {
      "total": 0,
      "offset": 0,
      "next_offset": 20,
      "limit": 20
    }
  },
  "ts": 1723923923
}

Update Pack ​

prolog
PUT API_BASE/lists/:list_id/packs/:pack_id

Authorization Required ​

OAuthAPIKey
YesYes

Request Body ​

Same as Create Pack.

Response ​

json
{
  "data": PackObject,
  "ts": 1723923923
}

Delete Pack ​

prolog
DELETE API_BASE/lists/:list_id/packs/:pack_id

Authorization Required ​

OAuthAPIKey
YesYes

Response ​

json
{
  "data": null,
  "ts": 1723923923
}